Data Fields
_PurpleWhiteboardPrplOps Struct Reference

PurpleWhiteboard PRPL Operations. More...

`#include <whiteboard.h>`

## Data Fields
void(* | start )(PurpleWhiteboard *wb)
| start function
void(* | end )(PurpleWhiteboard *wb)
| end function
void(* | get_dimensions )(const PurpleWhiteboard *wb, int *width, int *height)
| get_dimensions function
void(* | set_dimensions )(PurpleWhiteboard *wb, int width, int height)
| set_dimensions function
void(* | get_brush )(const PurpleWhiteboard *wb, int *size, int *color)
| get the brush size and color
void(* | set_brush )(PurpleWhiteboard *wb, int size, int color)
| set the brush size and color
void(* | send_draw_list )(PurpleWhiteboard *wb, GList *draw_list)
| send_draw_list function
void(* | clear )(PurpleWhiteboard *wb)
| clear function
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

PurpleWhiteboard PRPL Operations.

Definition at line 78 of file whiteboard.h.

The documentation for this struct was generated from the following file:

- whiteboard.h